Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.localization.manager
Interface ILocalizationManager

All Known Subinterfaces:
  LocalizationManager

public interface ILocalizationManager

This is the primary interface for performing persistent store operations on localizations.

Method Summary
`LocalizationResource` | `addLocalizationResource(LocalizationResource localizationResource, LocalizationIntersectionId localizationIntersectionId)` Add a new localization resource (l10n label) to the definition.
`LocalizationLocale` | `createLocalizationLocale(LocalizationLocale localizationLocale)`
`LocalizationResource` | `createLocalizationResource(LocalizationResource localizationResource)` Create a new localization resource (l10n label) from the supplied resource.
`void` | `deleteLocalizationLocale(LocalizationLocaleId localizationLocaleId)` Delete a LocalizationLocale record and all LocalizationResources associated to this locale.
`void` | `deleteLocalizationResource(LocalizationLocaleId localizationLocaleId, LocalizationIntersectionId localizationIntersectionId)` Delete a single localization definition record (table effected L10N_RESOURCE).
`LocalizationLocale` | `getLocalizationLocale(Locale locale)`
`LocalizationLocale` | `getLocalizationLocale(LocalizationLocaleId localizationLocaleId)`
`LocalizationLocale[]` | `getLocalizationLocales()` Return an array of all the available locales in the system.
`LocalizationResource` | `getLocalizationResource(CustomizationContext customizationContext, LocalizationIntersectionId localizationIntersectionId)` A single localization resource given the specified localization intersection id and the customization context.
`LocalizationResource[]` | `getLocalizationResources()` Retrurn a list of all the localization resources in the system
`LocalizationResource[]` | `getLocalizationResources(LocalizationIntersectionId localizationIntersectionId)` Retrieve an array of LocalizationResourceView definitions for the specified abstract `LocalizationIntersectionId`.
`LocalizationResourceView` | `getLocalizationResourceView(CustomizationContext customizationContext, LocalizationIntersectionId localizationIntersectionId)` Retrieve an array of LocalizationResourceView for the supplied `LocalizationIntersectionId`.
`Locale[]` | `getMatchingSupportedLocales(Locale[] locales)` Used to get a minimal set of Locales based on the input array of Locales that matches supported Locales.
`void` | `updateLocalizationLocale(LocalizationLocale localizationLocale)`
`void` | `updateLocalizationResource(LocalizationResource localizationResource)` Update the localization definition with the new data.

Method Detail

### addLocalizationResource

    public LocalizationResource addLocalizationResource(LocalizationResource localizationResource,
                                                        LocalizationIntersectionId localizationIntersectionId)
                                                 throws RemoteException,
                                                        ObjectNotFoundException,
                                                        MissingDataException

  Add a new localization resource (l10n label) to the definition.

  Parameters:
    `localizationResource` - the object containing all the new data for the new localization.
    `localizationIntersectionId` - intersection id from the Defintiion object.
  Returns:
    a fully populated (with LocalizationIntersectionId and LocalizationLocaleId) LocalizationResource.
  Throws:
    `ObjectNotFoundException` - if the localizationIntersectionId is bogus.
    `MissingDataException` - if the supplied localizationResource is missing required fields.
    `RemoteException`

### createLocalizationLocale

    public LocalizationLocale createLocalizationLocale(LocalizationLocale localizationLocale)
                                                throws RemoteException,
                                                       MissingDataException

  Throws:
    `RemoteException`
    `MissingDataException`

### createLocalizationResource

    public LocalizationResource createLocalizationResource(LocalizationResource localizationResource)
                                                    throws RemoteException,
                                                           ObjectNotFoundException,
                                                           MissingDataException

  Create a new localization resource (l10n label) from the supplied resource.

  Parameters:
    `localizationResource` - the object containing all the new data for the new localization.
  Returns:
    a fully populated (with LocalizationIntersectionId and LocalizationLocaleId) LocalizationResource.
  Throws:
    `ObjectNotFoundException` - if the localizationIntersectionId is bogus.
    `MissingDataException` - if the supplied localizationResource is missing required fields.
    `RemoteException`

### deleteLocalizationLocale

    public void deleteLocalizationLocale(LocalizationLocaleId localizationLocaleId)
                                  throws RemoteException,
                                         ObjectNotFoundException

  Delete a LocalizationLocale record and all LocalizationResources associated to this locale. Table effected (L10N_LOCALE, L10N_RESOURCE)

  Parameters:
    `localizationLocaleId` -
  Throws:
    `RemoteException`
    `ObjectNotFoundException`

### deleteLocalizationResource

    public void deleteLocalizationResource(LocalizationLocaleId localizationLocaleId,
                                           LocalizationIntersectionId localizationIntersectionId)
                                    throws RemoteException,
                                           ObjectNotFoundException

  Delete a single localization definition record (table effected L10N_RESOURCE). Note, this method does not delete any records in the L10N_INTERSECTION table, as this would cause the definition record to be deleted as well.

  Parameters:
    `localizationLocaleId` - the first part of the primary key
    `localizationIntersectionId` - the second part of the primary key of the localization resord to delete.
  Throws:
    `ObjectNotFoundException` - if the LocalizationIntersectionId in the LocalizationDefnition is bogus.
    `RemoteException`

### getLocalizationLocale

    public LocalizationLocale getLocalizationLocale(Locale locale)
                                             throws RemoteException

  Throws:
    `RemoteException`

### getLocalizationLocale

    public LocalizationLocale getLocalizationLocale(LocalizationLocaleId localizationLocaleId)
                                             throws RemoteException

  Throws:
    `RemoteException`

### getLocalizationLocales

    public LocalizationLocale[] getLocalizationLocales()
                                                throws RemoteException

  Return an array of all the available locales in the system.

  Returns:
    an array of distinct LocaleDefintoin objects.
  Throws:
    `RemoteException`

### getLocalizationResource

    public LocalizationResource getLocalizationResource(CustomizationContext customizationContext,
                                                        LocalizationIntersectionId localizationIntersectionId)
                                                 throws RemoteException

  A single localization resource given the specified localization intersection id and the customization context.

  Parameters:
    `customizationContext` - contains the prefered locale.
    `localizationIntersectionId` - the unique id of the definition object.
  Returns:
    a fully populated LocalizationResource object.
  Throws:
    `RemoteException`

### getLocalizationResources

    public LocalizationResource[] getLocalizationResources()
                                                    throws RemoteException

  Retrurn a list of all the localization resources in the system

  Throws:
    `RemoteException`

### getLocalizationResources

    public LocalizationResource[] getLocalizationResources(LocalizationIntersectionId localizationIntersectionId)
                                                    throws RemoteException

  Retrieve an array of LocalizationResourceView definitions for the specified abstract `LocalizationIntersectionId`.

  Parameters:
    `localizationIntersectionId` - a unique identifier for any definition object. Example: PortletDefinitionId, ShellDefinitionId, ...
  Returns:
    an Array of all the different localization definitions (one for each different locale) set for the specified definition id.
  Throws:
    `RemoteException`

### getLocalizationResourceView

    public LocalizationResourceView getLocalizationResourceView(CustomizationContext customizationContext,
                                                                LocalizationIntersectionId localizationIntersectionId)
                                                         throws RemoteException

  Retrieve an array of LocalizationResourceView for the supplied `LocalizationIntersectionId`.

  Parameters:
    `customizationContext` - contains an in order list of predered locales.
    `localizationIntersectionId` - a unique identifier for any definition object. Example: PortletDefinitionId, ShellDefinitionId, ...
  Returns:
    an immutabel LocalizationResourceView object internationalized to the supplied locale. If the prefered locale does not exist we will default to the default, if no localization exist we will return null.
  Throws:
    `RemoteException`

### getMatchingSupportedLocales

    public Locale[] getMatchingSupportedLocales(Locale[] locales)
                                         throws RemoteException

  Used to get a minimal set of Locales based on the input array of Locales that matches supported Locales.

  Parameters:
    `locales` -
  Returns:
    minimal set of supported Locales based on input Locales
  Throws:
    `RemoteException`

### updateLocalizationLocale

    public void updateLocalizationLocale(LocalizationLocale localizationLocale)
                                  throws RemoteException,
                                         ObjectNotFoundException

  Throws:
    `RemoteException`
    `ObjectNotFoundException`

### updateLocalizationResource

    public void updateLocalizationResource(LocalizationResource localizationResource)
                                    throws RemoteException,
                                           ObjectNotFoundException

  Update the localization definition with the new data.

  Parameters:
    `localizationResource` - the localizationdefinition containing the new data
  Throws:
    `ObjectNotFoundException` - if the LocalizationIntersectionId in the LocalizationDefnition is bogus.
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved